// ***************************************************************************
// *                                                                         *
// * Port Poker                                                              *
// *                                                                         *
// * Header file for import library for NODPP000.DLL                         *
// *                                                                         *
// * Copyright (c) Novatex Research 1999                                     *
// *                                                                         *
// *                                                                         *
// * NodPP000.h                                                              *
// *                                                                         *
// ***************************************************************************
#ifndef _NODPP000_H
#define _NODPP000_H

extern "C" __stdcall __declspec(dllimport) void NovPPOutECP(unsigned short hardwareport, unsigned char data);
// Writes a byte to the given hardware port.

extern "C" __stdcall __declspec(dllimport) unsigned char NovPPInECP(unsigned short hardwareport);
// Reads a byte from the given hardware port.

extern "C" __stdcall __declspec(dllimport) int NovPPHookIrq(int irqnumber, HANDLE handle, int message);
// Hooks an IRQ, sending the given HANDLE a message.

extern "C" __stdcall __declspec(dllimport) int NovPPUnhookIrq(int irqnumber, HANDLE handle);
// Releases the hook on an IRQ.

extern "C" __stdcall __declspec(dllimport) void NovPPSetECPIRQStatus(int irqnumber, int status);
// Shortcut to set the IRQ enabled bit on the parallel port that uses the given irqnumber.

extern "C" __stdcall __declspec(dllimport) int NovPPLoadDriver(void);
// Attempt to load the driver.

#endif

